﻿@model IEnumerable<RaamatukoguAPP11.LugemisPäevik>

@{
    ViewBag.Title = "LugemisPäevik";
}

<h2>Minu lugemispäevik</h2>

<p>
    @Html.ActionLink("Lisa uus postitus", "Create")
</p>
<table class="table">
    <tr>
        @*<th>
            @Html.DisplayNameFor(model => model.Raamat.Isbn)
        </th>*@
        <th>
            @*@Html.DisplayNameFor(model => model.Raamat.Tiitel)*@
            Raamat
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Staatus)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Hinnang)
        </th>
        
        <th>
            @Html.DisplayNameFor(model => model.Kommentaar)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Kuupäev)
        </th>
        @*<th>
            @Html.DisplayNameFor(model => model.Kasutaja.Email)
        </th>*@
        
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        @*<td>
            @Html.DisplayFor(modelItem => item.Raamat.Isbn)
        </td>*@
        <td>
            @Html.DisplayFor(modelItem => item.Raamat.Tiitel)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Staatus)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Hinnang)
        </td>
        
        <td>
            @Html.DisplayFor(modelItem => item.Kommentaar)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Kuupäev)
        </td>
        @*<td>
            @Html.DisplayFor(modelItem => item.Kasutaja.Email)
        </td>*@
        
        <td nowrap>
            @Html.ActionLink("Muuda", "Edit", new { id=item.Kood }) |
            @Html.ActionLink("Vaata", "Details", new { id=item.Kood }) |
            @Html.ActionLink("Kustuta", "Delete", new { id=item.Kood })
        </td>
    </tr>
}

</table>
